#ifndef S3C2410_IIS_SND
#define S3C2410_IIS_SND

#include <linux/types.h>

enum iis_cmd {
	IIS_IDLE_TX,
	IIS_IDLE_RX,
	IIS_ACTIVE_TX,
	IIS_ACTIVE_RX,
	IIS_ALIGN_TX,
	IIS_ALIGN_RX,
	IIS_FLUSH_RX,
	IIS_FLUSH_TX,
	IIS_START,
	IIS_STOP
};

int iis_init(void);
void iis_exit(void);

void iis_suspend(void);
void iis_resume(void);

void iis_control_cmd(enum iis_cmd command);

int iis_set_samplerate(unsigned rate);
unsigned iis_get_samplerate(void);

int iis_set_samplesize(unsigned size);
unsigned iis_get_samplesize(void);

void iis_showbus(const char *message);

#endif /* S3C2410_IIS_SND */
