/* include/barcelona/Barc_Battery.h
 *
 * Public interface for the battery driver.
 *
 * Copyright (C) 2004,2005 TomTom BV <http://www.tomtom.com/>
 * Author: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef __INCLUDE_BARCELONA_BARC_BATTERY_H
#define __INCLUDE_BARCELONA_BARC_BATTERY_H

#ifndef __INCLUDE_BARCELONA_TYPES_H
#include <barcelona/types.h>
#endif /* __INCLUDE_BARCELONA_TYPES_H */

#include <linux/ioctl.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define BATTERY_DEVNAME				"battery"
#define BATTERY_MAJOR				241

typedef struct {
	UINT16 u16BatteryVoltage;		/* battery voltage */
	UINT16 u16ReferenceVoltage;		/* reference voltage */
	UINT16 u16ChargeCurrent;		/* charge current */
} BATTERY_STATUS;

#define BATTERY_DRIVER_MAGIC		'B' /* Battery driver magic number */
#define IOR_BATTERY_STATUS			_IOR(BATTERY_DRIVER_MAGIC, 0, BATTERY_STATUS)
#define IOW_BATTERY_CHARGER_ENABLE	_IO(BATTERY_DRIVER_MAGIC, 1)
#define IOW_BATTERY_CHARGER_DISABLE	_IO(BATTERY_DRIVER_MAGIC, 2)

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __INCLUDE_BARCELONA_BARC_BATTERY_H */

/* EOF */
